Bug 132994 - Pluto is not a planet
Summary: Pluto is not a planet
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kstars
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-25 21:22 UTC by nl255
Modified: 2008-01-28 06:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nl255 2006-08-25 21:22:22 UTC
Version:            (using KDE KDE 3.5.4)
Installed from:    Compiled From Sources

As of August 24, 2006 Pluto is no longer a planet and Kstars should be updated to reflect this.

http://en.wikipedia.org/wiki/Pluto
http://www.iau2006.org/mirror/www.iau.org/iau0602/index.html
Comment 1 kstars 2008-01-18 08:01:43 UTC
SVN commit 762902 by harris:

Fixing bug #132994: We come to bury Pluto, not praise him.

We have already been deriving Pluto from the KSAsteroid class 
for practical reasons.  With this change, Pluto is now labeled 
an "asteroid" in the details dialog.  

BUG: 132994
CCMAIL: kstars-devel@kde.org



 M  +5 -6      ksasteroid.h  
 M  +1 -1      ksplanetbase.cpp  
 M  +1 -2      kspluto.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=762902
Comment 2 kstars 2008-01-28 06:38:37 UTC
SVN commit 767475 by harris:

While Pluto is not a planet, it isn't an asteroid either.  The Detail 
dialog now refers to Pluto, Ceres and Eris as "Dwarf planets".  

Can't backport due to new string.

CCBUG: 132994
CCMAIL: kstars-devel@kde.org



 M  +2 -0      detaildialog.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=767475